import { RouterModule, Routes } from '@angular/router';
import { NgModule } from '@angular/core';
import { ContinentOSPublicationsComponent } from './publications/continent-os-publications.component';
import { ContinentOpenScienceComponent } from './continent-open-science.component';
import { ContinentOSDatasetsComponent } from './datasets/continent-os-datasets.component';
import { ContinentOSSoftwareComponent } from './software/continent-os-software.component';
import { ContinentOSORPComponent } from './other-research-products/continent-os-orp.component';


const continentOpenScienceRoutes: Routes = [
  {
    path: '',
    component: ContinentOpenScienceComponent,
    children : [
      {
        path: '',
        redirectTo: 'publications',
        pathMatch: 'full',
      },
      {
        path: 'publications',
        loadChildren: () => import('./publications/continent-os-publications.module').then(m => m.ContinentOpenSciencePublicationsModule),
        // component: ContinentOSPublicationsComponent,
      },
      {
        path: 'datasets',
        loadChildren: () => import('./datasets/continent-os-datasets.module').then(m => m.ContinentOpenScienceDatasetsModule),
        // component: ContinentOSDatasetsComponent,
      },
      {
        path: 'software',
        loadChildren: () => import('./software/continent-os-software.module').then(m => m.ContinentOpenScienceSoftwareModule),
        // component: ContinentOSSoftwareComponent,
      },
      {
        path: 'other-research-products',
        loadChildren: () => import('./other-research-products/continent-os-orp.module').then(m => m.ContinentOpenScienceORPModule),
        // component: ContinentOSORPComponent,
      },
    ]
  },
];

@NgModule ({
  imports: [RouterModule.forChild(continentOpenScienceRoutes)],
  exports: [RouterModule]
})

export class ContinentOpenScienceRoutingModule {}
