import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ContinentOpenScienceRoutingModule } from './continent-open-science-routing.module';
import { ContinentOSPublicationsComponent } from './publications/continent-os-publications.component';
import { ReusableComponentsModule } from '../../../shared/reusablecomponents/reusable-components.module';
import { DataService } from '../../../services/data.service';
import { DataHandlerService } from '../../../services/data-handler.service';
import { ContinentOpenScienceComponent } from './continent-open-science.component';
import { ContinentOSDatasetsComponent } from './datasets/continent-os-datasets.component';
import { ContinentOSSoftwareComponent } from './software/continent-os-software.component';
import { ContinentOSORPComponent } from './other-research-products/continent-os-orp.component';
import { ContinentOSPublicationsIndicatorsComponent } from './publications/continent-os-publications-indicators.component';

@NgModule ({
  imports: [
    CommonModule,
    ContinentOpenScienceRoutingModule,
    ReusableComponentsModule,
  ],
  declarations: [
    ContinentOpenScienceComponent,
    // ContinentOSPublicationsComponent,
    // ContinentOSPublicationsIndicatorsComponent,
    // ContinentOSDatasetsComponent,
    // ContinentOSSoftwareComponent,
    // ContinentOSORPComponent
  ],
  providers: [
    DataService,
    DataHandlerService
  ],
})

export class ContinentOpenScienceModule {}
