import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ReusableComponentsModule } from '../../../shared/reusablecomponents/reusable-components.module';
import { DataService } from '../../../services/data.service';
import { DataHandlerService } from '../../../services/data-handler.service';
import { CountryOpenScienceRoutingModule } from './country-open-science-routing.module';
import { CountryOpenScienceComponent } from './country-open-science.component';
import { CountryOSPublicationsComponent } from './publications/country-os-publications.component';
import { CountryOSDatasetsComponent } from './datasets/country-os-datasets.component';
import { CountryOSSoftwareComponent } from './software/country-os-software.component';
import { CountryOSORPComponent } from './other-research-products/country-os-orp.component';

@NgModule ({
  imports: [
    CommonModule,
    CountryOpenScienceRoutingModule,
    ReusableComponentsModule,
  ],
  declarations: [
    CountryOpenScienceComponent,
    // CountryOSPublicationsComponent,
    // CountryOSDatasetsComponent,
    // CountryOSSoftwareComponent,
    // CountryOSORPComponent
  ],
  providers: [
    DataService,
    DataHandlerService
  ],
})

export class CountryOpenScienceModule {}
